Package com.google.gwt.core.ext.typeinfo

## Interface JArrayType

- All Superinterfaces:
    `HasAnnotations`, `JClassType`, `JType`

      public interface JArrayType
      extends JClassType

  Type representing a Java array.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JType` | `getComponentType()` |
    `int` | `getRank()` |
    `JArrayType[]` | `getSubtypes()` | Returns all subtypes of this type, recursively, not including this type.

    - ### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

      `getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

    - ### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

      `asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

    - ### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType

      `getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

- - ### Method Detail

    - #### getComponentType

          JType getComponentType()

    - #### getRank

          int getRank()

    - #### getSubtypes

          JArrayType[] getSubtypes()

      Description copied from interface: `JClassType`
      Returns all subtypes of this type, recursively, not including this type.
      Specified by:
        `getSubtypes` in interface `JClassType`